Loading...
Searching...
No Matches
BALL::Rotamer Class Reference
Molecular Modeling » Molecular Structure » Rotamers

`#include <BALL/STRUCTURE/residueRotamerSet.h>`

## Public Member Functions

Constructors
| Rotamer ()
| Default constructor.
| Rotamer (const Rotamer &rotamer)
| Copy constructor.
| Rotamer (float new_P, float new_chi1, float new_chi2=0.0, float new_chi3=0.0, float new_chi4=0.0)

## Public Attributes

Attributes.
float | P
| Probability.
float | chi1
| Angle in degrees.
float | chi2
| Angle in degrees.
float | chi3
| Angle in degrees.
float | chi4
| Angle in degrees.

## Detailed Description

Rotamer class.

This class is used to describe rotamers, i.e. rotational conformers, of amino acid side chains. These rotamers correspond to different low-energy conformations. Rotamers can also be used to store and retrieve specific conformations of a side chain. In principle, a rotamer object is just a list containing the side chain torsion angles (up to four) and the probability of that rotamer (useful only in the context of rotamer libraries).

Definition at line 37 of file residueRotamerSet.h.

## Constructor & Destructor Documentation

## Rotamer() [1/3]

BALL::Rotamer::Rotamer | ( |  | ) |

Default constructor.

## Rotamer() [2/3]

BALL::Rotamer::Rotamer | ( | const Rotamer & | rotamer | ) |

Copy constructor.

## Rotamer() [3/3]

BALL::Rotamer::Rotamer | ( | float | new_P,
|  | float | new_chi1,
|  | float | new_chi2 = 0.0,
|  | float | new_chi3 = 0.0,
|  | float | new_chi4 = 0.0 )

## Member Data Documentation

## chi1

float BALL::Rotamer::chi1

Angle in degrees.

Definition at line 63 of file residueRotamerSet.h.

## chi2

float BALL::Rotamer::chi2

Angle in degrees.

Definition at line 66 of file residueRotamerSet.h.

## chi3

float BALL::Rotamer::chi3

Angle in degrees.

Definition at line 69 of file residueRotamerSet.h.

## chi4

float BALL::Rotamer::chi4

Angle in degrees.

Definition at line 72 of file residueRotamerSet.h.

## P

float BALL::Rotamer::P

Probability.

Definition at line 60 of file residueRotamerSet.h.